# Trouble Shoot

<details>

<summary>I have clicked on the element and there is no action happening</summary>

Usually QATTS scroll to the element before performing the click action. Please check whether the element is in the current view or not.

If it is in the current view and no automation errors observed. Refer to [Properties Library](/studio/ui-elements/properties-library.md) for configuring the jsClick property

</details>

<details>

<summary>My button gets enabled only when hovered. How can I handle</summary>

This can be done in 2 ways. Explained below\
1\. Configure the pre action as "mouseover" [Pre and Post Actions](/studio/ui-elements/pre-and-post-actions.md)\
2\. Configure the property "focusAndSend" [Properties Library](/studio/ui-elements/properties-library.md)

</details>

<details>

<summary>How can i perform the right click</summary>

We usually don't perform the context click in web applications. This is helpful when we are working on native applications.

We need to give the property called "contextClick" [Properties Library](/studio/ui-elements/properties-library.md)

</details>

<details>

<summary>How can I perform the ENTER operation after populating the web form</summary>

This can be achieved in 2 ways.

1. Performing the post action for the last element as ENTER. Refer to link [Pre and Post Actions](/studio/ui-elements/pre-and-post-actions.md)
2. For the button element configure the property enterKey. Refer to link [Properties Library](/studio/ui-elements/properties-library.md)

</details>

<details>

<summary>How can I click multiple times on a web element</summary>

This is not recommended because, clicking on a element can change a page or redirect to new section. If that is the functionality in the application.

Then it can be achieved by configuring "clickAndHold". Refer to link [Properties Library](/studio/ui-elements/properties-library.md)

</details>

<details>

<summary>How can I wait for the loader after clicking on the button / link</summary>

This can be achieved with the post action "waitforloader:UI\_Element". Refer to link [Pre and Post Actions](/studio/ui-elements/pre-and-post-actions.md)

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.qatts.com/studio/ui-elements/trouble-shoot.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
